*,
::before,
::after {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    box-sizing: border-box;
}

body,
html {
    font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

/* :root {
    --primary-color: #0f111a;
    --white-color: rgba(28,31,46,1);
    --gray-color: #1f2937;
    --blue-color: #3B82F6;
    --off-white: #111827;
    --black-color: #FFFFFF;
    --medium-gray: #9ca3af;
    --light-cool-gray: #374151;
    --primary-blue: #1D4ED8;
    --btn_bg: #1877F2;
    --border-color: #383838;
    --theme-Green: #14903E;
    --btn-text-color: #f4f4f8;
    --btn-boxShadow: 2px 2px 14px rgb(0 0 0 / 40%);
    --div-boxShadow: rgba(0, 0, 0, 0.25) 0px 12px 22px -12px;
    --color-gradient-blue: #1877f2f0;
    --rounded: 15px;
    --text_color: #000;
    --btn-rounded: 393px;
} */


:root {
    --primary-color: #0f172a;
    --white-color: #1e293b;
    --off-white: #111827;
    --gray-color: #1f2937;

    --black-color: #f8fafc;
    --text_color: #e5e7eb;
    --medium-gray: #9ca3af;
    --light-cool-gray: #374151;

    --blue-color: #3b82f6;
    --primary-blue: #2563eb;
    --theme-Green: #22c55e;

    --btn_bg: #1877f2;
    --btn-text-color: #ffffff;
    --btn-boxShadow: 0px 4px 14px rgba(0, 0, 0, 0.5);

    --border-color: #334155;
    --div-boxShadow: 0px 12px 24px rgba(0, 0, 0, 0.4);

    --color-gradient-blue: #1877f2f0;
    --rounded: 15px;
    --btn-rounded: 393px;
}

img,
video {
    height: auto;
    max-width: 100%;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-justify {
    text-align: justify;
}

.me-1 {
    margin-right: 4px;
}

.dino_container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    position: relative;
    background-image: url(../image/grid_Frame.svg);
    background-color: var(--primary-color);
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    overflow-x: hidden;
}

.dino_contain {
    max-width: 400px;
    width: 100%;
    height: 100%;
    margin: 0 auto;
    border-left: 1px solid var(--gray-color);
    border-right: 1px solid var(--gray-color);
    position: relative;
    background-color: var(--white-color);
}


.ad-container {
    border-bottom: 1px solid var(--border-color);
    text-align: center;
    margin-bottom: 12px;
    align-items: center;
}

.ad-name {
    font-size: 10px;
    color: #ffffff73;
    letter-spacing: 3px;
    margin-bottom: 2px;
}

.resp_choose_game {
    margin-bottom: 4px;
}

.resp_play_btn,
.resp_choose_game,
.resp_more_game,
.resp_about_section,
.resp_footer,
.resp_play_btn {
    display: flex;
    justify-content: center;
}

.choose_game {
    margin: 12px 16px 0 16px;
    padding: 16px;
    width: 370px;
    border-radius: 15px;
    border: 1px solid var(--border-color);
}

.choose_game h1,
.dino_single_game h1,
.dino-heading {
    color: var(--text_color);
}

.redeem-coin {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

#coin {
    color: var(--theme-Green);
    font-weight: 600;
}

.earn-coin-btn {
    display: flex;
    width: 100%;
    justify-content: center;
    margin-top: 8px;
    font-size: 14px;
    text-transform: uppercase;
    position: relative;
}

.earn-coin-btn button {
    cursor: pointer;
    background: var(--btn_bg);
    color: #fff;
    border: none;
    height: 42px;
    padding: 10px 0px;
    width: 100%;
    border-radius: var(--btn-rounded);
    border-color: var(--border-color);
    font-weight: 600;
    font-size: 14px;
    letter-spacing: 1px;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.ad-tag-earn {
    position: absolute;
    top: 0;
    right: -10px;
    color: #8a8e91;
    font-size: 10px;
    letter-spacing: 0px;
    text-transform: capitalize;
}

.play_btn_txt {
    font-size: 16px;
    color: var(--text_color);
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
}

.class_flex {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
    gap: 12px;
    margin-top: 12px;
}

.class_flex a {
    width: 100%;
}

.click_btn {
    background-color: transparent;
    padding: 10px 28px 10px 28px;
    letter-spacing: 1px;
    font-size: 14px;
    height: 42px;
    text-transform: uppercase;
    cursor: pointer;
    font-weight: 600;
    border: 1px solid var(--btn_bg);
    color: var(--btn-text-color);
    border-radius: var(--btn-rounded);
}

.click_btn_option {
    display: flex;
    align-items: center;
    justify-content: center;

    height: 42px;
    gap: 10px;
    width: 100%;
}

.click_btn:hover {
    background-color: var(--btn_bg);
    -moz-animation-duration: 2s;
    animation-duration: 2s;
}

.click_btn_option:hover {
    color: #fff;
}

.click_btn_option:hover .cat_img {
    filter: brightness(0) invert(1);
}

.cat_img{
    height: 20px;
    width: 20px;
}

.game_section {
    height: auto;
    padding-top: 14px;
    margin: 0px 16px 0 16px;
    border-radius: var(--rounded);
}

.game_section1,
#search-results {
    display: grid;
    padding: 0px 0 4px 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 12px;
    justify-items: center;
    max-width: 500px;
}

.game_section2 {
    border-radius: var(--rounded);
    background-color: transparent;
    width: 100%;
    border: 1px solid var(--border-color);
}

.game_section3 {
    overflow: hidden;
    border-radius: 10px;
    text-decoration: none;
    height: 100%;
    width: 100%;
}

.game_section4 {
    display: flex;
    position: relative;
    justify-content: center;
    aspect-ratio: 1;
    width: 100%;
    overflow: hidden;
    align-items: center;
    cursor: pointer;
    background-color: transparent;
}

.game_section_img {
    width: 100%;
    height: 100%;
    border-top-left-radius: var(--rounded);
    border-top-right-radius: var(--rounded);
}

.img-loader,
.img-loader::after {
    right: 0;
    bottom: 0;
    margin: auto;
    position: absolute;
    top: 0;
    left: 0;
}

.img-loader {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20%;
    height: 0;
    padding-top: 20%;
}

.img-loader::after {
    content: "";
    width: 100%;
    height: 100%;
    border: 5px solid #dcdddb;
    border-top-color: #48a8ff;
    border-radius: 50%;
    -webkit-animation: .75s ease-out infinite loading;
    animation: .75s ease-out infinite loading;
    box-sizing: border-box;
}

@keyframes loading {
    0% {
        transform: rotate(0turn);
    }

    100% {
        transform: rotate(1turn);
    }
}

.loader {
    width: 14px;
    height: 14px;
    border: 2px solid #888;
    border-bottom-color: transparent;
    border-radius: 50%;
    display: inline-block;
    box-sizing: border-box;
    animation: rotation 1s linear infinite;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


.game_section5 {
    background-color: transparent;
    border-bottom-right-radius: var(--rounded);
    border-bottom-left-radius: var(--rounded);
    padding: 8px 5px 5px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
}

.game_section6 {
    color: #fff;
    font-size: 14px;
    font-weight: 500;
    display: flex;
    justify-content: center;
}

.game_section6 p {
    margin-bottom: 0px;
    text-align: center;
    color: var(--text_color);
    text-transform: capitalize;
}

.user-coin {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
    justify-content: space-evenly;
}

.liveUser {
    font-size: 12px;
    color: var(--text_color);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: auto;
    font-weight: 500;
}

.greenDott {
    height: 10px;
    width: 10px;
    background-color: var(--theme-Green);
    border-radius: 100%;
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    -o-border-radius: 100%;
}

.give-coin {
    display: flex;
    align-items: center;
    gap: 4px;
    color: var(--theme-Green);
    font-size: 14px;
}

.give-coin img {
    width: 16px;
    height: 16px;
}

.play-btn {
    -webkit-transition: all 0.3s ease-in-out;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.game_section5 button {
    background-color: var(--btn_bg);
    padding: 10px 0px;
    letter-spacing: 1px;
    font-size: 14px;
    text-transform: uppercase;
    height: 42px;
    width: 95%;
    font-weight: 600;
    color: var(--btn-text-color);
    border-radius: var(--btn-rounded);
    margin-bottom: 4px;
    border: none;
    -webkit-border-radius: var(--btn-rounded);
    -moz-border-radius: var(--btn-rounded);
    -ms-border-radius: var(--btn-rounded);
    -o-border-radius: var(--btn-rounded);
}

.play-btn:hover,
.click_btn1:hover {
    background-color: #0072d1;
    -moz-animation-duration: 2s;
    animation-duration: 2s;
}

.more_game {
    width: 370px;
    margin-top: 12px;
}

.btn1,
.click_btn1 {
    width: 100%;
}

.click_btn1 {
    background-color: var(--btn_bg);
    padding: 10px 28px 10px 28px;
    letter-spacing: 1px;
    font-size: 14px;
    height: 42px;
    text-transform: uppercase;
    cursor: pointer;
    font-weight: 600;
    color: var(--btn-text-color);
    border-radius: var(--btn-rounded);
    border: none;
    -webkit-border-radius: var(--btn-rounded);
}

.about_section {
    margin-top: 20px;
    width: 370px;
}

.about_section h1 {
    margin: auto;
    margin-bottom: 15px;
    color: var(--text_color);
    font-size: 24px;
}

.about_section h2 {
    margin: auto;
    margin-bottom: 15px;
    color: var(--text_color);
    font-size: 20px;
}

.about_section h3 {
    margin: auto;
    margin-bottom: 10px;
    color: var(--text_color);
    font-size: 18px;
}

.about_section h4 {
    margin: auto;
    margin-bottom: 10px;
    color: var(--text_color);
    font-size: 16px;
}

.about_section p {
    text-align: start;
    color: var(--text_color);
    font-size: 16px;
    margin-bottom: 10px;
}

.about_section ul,
.about_section ol {
    margin-bottom: 10px;
    margin-left: 20px;
    list-style: none;
}

.about_section ul li,
.about_section ol li {
    color: var(--text_color);
    font-size: 16px;
    line-height: 24px;
}

.about_section ul li {
    list-style: disc;
}

.about_section ol li {
    list-style: decimal;
}

.resp_footer {
    border: 1px solid var(--border-color);
}

footer {
    display: flex;
    width: 370px;
    justify-content: space-between;
    align-items: center;
    padding: 7px 0px;
    color: var(--text_color) !important;
}

.anchor_text {
    color: var(--text_color);
}

.popup {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.7);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.popup {
    align-items: center;
}

.popup-data {
    background: var(--white-color);
    padding: 20px 20px 20px;
    border-radius: 15px;
    text-align: center;
    max-width: 370px;
    width: 90%;
    position: relative;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.3);
    display: flex;
    flex-direction: column;
    justify-content: center;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}

.popup-data .oops-img {
    position: absolute;
    top: -45px;
    left: 50%;
    transform: translateX(-50%);
    width: 150px;
    height: auto;
}

.popup-data .main-text {
    font-size: 14px;
    color: var(--text_color);
    margin: 40px 0 10px;
}

.popup-data .sub-text {
    font-size: 16px;
    font-weight: bold;
    color: var(--text_color);
    margin-bottom: 20px;
}

.watch-btn-wrapper {
    position: relative;
    display: inline-block;
    width: 100%;
}

.watch-btn {
    background: var(--btn_bg);
    color: var(--btn-text-color);
    border: none;
    padding: 10px 18px;
    border-radius: var(--btn-rounded);
    width: 100%;
    font-size: 14px;
    cursor: pointer;
    height: 42px;
    font-weight: 600;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    letter-spacing: 1px;
    text-transform: uppercase;
    position: relative;
    overflow: hidden;
    z-index: 1;
}

.ad-tag {
    position: absolute;
    top: 0;
    right: -15px;
    color: var(--text_color);
    font-size: 10px;
    letter-spacing: 0px;
    text-transform: capitalize;
}

.popup-data .skip-btn {
    margin-top: 8px;
    background: none;
    border: none;
    color: var(--text_color);
    width: fit-content;
    margin: 8px auto 0px;
    font-size: 14px;
    cursor: pointer;
    text-decoration: underline;
}

.toast-message {
    display: none;
    position: fixed;
    top: 15px;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--popup-bg-color);
    color: var(--text_color);
    border: 1px solid var(--border-color);
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    padding: 12px 10px;
    border-radius: 8px;
    font-size: 15px;
    z-index: 9999;
    max-width: 90vw;
    width: max-content;
    white-space: nowrap;
    transition: opacity 0.3s ease;
    text-align: center;
    text-wrap: wrap;
    align-items: center;
    gap: 6px;
}

.toast-message.show {
    display: flex;
    animation: fadeOut 3s forwards;
}

.dino_single_game {
    text-align: center;
}

.dino_single_game img {
    margin: 10px 0px;
}

.dino_start_game {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 42px;
    padding: 10px 16px;
    margin-top: 10px;
    background-color: var(--btn_bg);
    color: var(--btn-text-color);
    font-size: 14px;
    font-weight: 600;
    letter-spacing: 0.35px;
    text-align: center;
    text-decoration: none;
    border-radius: 393px;
    cursor: pointer;
    position: relative;
    overflow: hidden;
    z-index: 1;
    margin-bottom: 15px;
    transition: all 0.3s ease;
}

.dino_start_game:after,
.dino_start_game:before {
    content: "";
    position: absolute;
    cursor: pointer;
    top: 0;
    left: -150%;
    height: 100%;
    width: 10%;
    background: linear-gradient(120deg, hsla(0, 0%, 100%, 0), hsla(0, 0%, 100%, .1) 50%, hsla(0, 0%, 100%, 0));
    animation: shimmer 2s ease-in-out infinite;
    z-index: 0;
    pointer-events: none;
}

@keyframes shimmer {
    0% {
        left: -150%
    }

    to {
        left: 150%
    }
}

@keyframes fadeOut {

    0%,
    80% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        display: none;
    }
}

.dino-game-zone {
    width: 100%;
    height: auto;
    padding: 0px 15px;
    margin-bottom: 20px;
}

/* ======================
   CARD
====================== */

/* GRID */
.dino-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 18px;
}

/* CARD */
.dino-card {
    display: block;
    text-decoration: none;
}

.dino-card-img {
    position: relative;
    aspect-ratio: 1/1;
    overflow: hidden;
    border-radius: 14px;
}

/* Image */
.dino-card-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 14px;
    transition: transform 0.3s ease;
}

.dino-card-title {
    font-weight: 600;
    text-transform: capitalize;
    color: var(--text_color);
    font-size: 14px;
    line-height: 20px;
    padding: 0px 8px;
    position: absolute;
    bottom: 8px;
    left: 0;
    z-index: 6;
    opacity: 0;
}

.dino-card-img:after {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(25deg, var(--color-gradient-blue) 10%, transparent);
    opacity: 0;
    transition: opacity .3s ease-in-out;
    z-index: 5;
    pointer-events: none;
}

.dino-grid .dino-card:hover .dino-card-img:after {
    opacity: 1;
}

.dino-grid .dino-card:hover .dino-card-title {
    opacity: 1;
}

@media (max-width: 400px) {
    .about_section {
        padding: 0 16px 16px 16px;
    }

    footer {
        padding: 7px 16px;
    }
}

@media (max-width: 450px) {
    .game_section {
        border: none;
        padding: 0;
    }

    .click_btn,
    .click_btn1 {
        font-size: 14px;
        text-wrap: nowrap;
    }

    .click_btn_option {
        padding: 10px 15px;
    }
}

@media (max-width: 420px) {

    .game_section2,
    .choose_game,
    .play_btn,
    .more_game {
        width: 100%;
    }
}

@media(max-width:400px) {
    .about_section {
        padding: 0 16px 16px 16px;
    }

    footer {
        padding: 7px 16px;
    }
}

@media (max-width: 360px) {
    .play_btn_txt {
        text-wrap: wrap;
    }
}

@media (max-width: 346px) {

    .game_section1,
    #search-results {
        gap: 0.5rem;
    }

    .cat_img {
        width: 15px;
        height: 15px;
    }
}